/*
 * generated by Xtext 2.27.0
 */
package tdt4250.ra.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import tdt4250.ra.RaDSL2022RuntimeModule;
import tdt4250.ra.RaDSL2022StandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class RaDSL2022IdeSetup extends RaDSL2022StandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new RaDSL2022RuntimeModule(), new RaDSL2022IdeModule()));
	}
	
}
